summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-04-28 20:40:41 +0100
committerLeah Rowe <leah@libreboot.org>2024-04-28 20:40:41 +0100
commit0e2c56be4133eb4be62ad3eaa7490573a24ab2fd (patch)
tree1b6d5eec84888f253239357b1c3432f67303a6c4 /script
parent91927760db296596af3946327319625c17c1afa5 (diff)
build/roms: reduce indentation in skip_board()
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/build/roms40
1 files changed, 20 insertions, 20 deletions
diff --git a/script/build/roms b/script/build/roms
index b84fd3b1..f41f812b 100755
--- a/script/build/roms
+++ b/script/build/roms
@@ -168,27 +168,27 @@ skip_board()
printf "WARNING: %s not stable (status=%s):\n\n" \
"$board" "$status"
- [ "$release" = "n" ] && [ "$lbmk_release" = "y" ] && \
- return 0
+ [ "$lbmk_release" = "y" ] && [ "$release" = "n" ] && return 0
+ [ "$lbmk_release" = "y" ] && [ "$status" = "broken" ] && return 0
- if [ "$lbmk_release" != "y" ] && [ "$status" != "stable" ] && \
- [ "$lbmk_status" = "y" ]; then
- if [ -f "$targetdir/warn.txt" ]; then
- printf "Regarding board '%s' (status '%s'):\n" \
- "$board" "$status"
- cat -u "$targetdir/warn.txt" || \
- $err "!cat $targetdir/warn.txt"
- fi
- printf "\nTo disable this dialog when building, do:\n"
- printf "export LBMK_STATUS=n\n\n"
- while true; do
- printf "Board %s has status '%s'. Skip? [y/n]" \
- "$board" "$status"
- read -r skip
- [ "$skip" = "y" ] && return 0
- [ "$skip" = "n" ] && return 1; continue
- done
- fi; return 1
+ [ "$lbmk_status" = "y" ] || return 1
+ [ "$status" = "stable" ] && return 1
+
+ if [ -f "$targetdir/warn.txt" ]; then
+ printf "Regarding board '%s' (status '%s'):\n" \
+ "$board" "$status"
+ cat -u "$targetdir/warn.txt" || \
+ $err "!cat $targetdir/warn.txt"
+ fi
+ printf "\nTo disable this dialog when building, do:\n"
+ printf "export LBMK_STATUS=n\n\n"
+ while true; do
+ printf "Board %s has status '%s'. Skip? [y/n]" \
+ "$board" "$status"
+ read -r skip
+ [ "$skip" = "y" ] && return 0
+ [ "$skip" = "n" ] && return 1; continue
+ done
}
build_payloads()